Exception::getMessage
Exception::getFile
Exception
PHP Manual

# Exception::getCode

(PHP 5 >= 5.1.0)

Exception::getCode — Gets the Exception code

### Description

final public int Exception::getCode ( void )

Returns the Exception code.

### Parameters

This function has no parameters.

### Return Values

Returns the Exception code as a integer.

### Examples

Example #1 Exception::getCode() example

`<?php
try {
throw new Exception("Some error message", 30);
} catch(Exception $e) {
echo "The exception code is: " . $e->getCode();
}
?>`

The above example will output something similar to:

    The exception code is: 30

Exception::getMessage
Exception::getFile
Exception
PHP Manual